# gdal_vrt.h File Reference

Public (C callable) entry points for virtual GDAL dataset objects. More...

`#include "gdal.h"`
`#include "cpl_port.h"`
`#include "cpl_error.h"`
`#include "cpl_minixml.h"`

Go to the source code of this file.

## Defines
#define | VRT_NODATA_UNSET -1234.56
## Typedefs
typedef CPLErr(* | VRTImageReadFunc )(void *hCBData, int nXOff, int nYOff, int nXSize, int nYSize, void *pData)
typedef void * | VRTDriverH
typedef void * | VRTSourceH
typedef void * | VRTSimpleSourceH
typedef void * | VRTAveragedSourceH
typedef void * | VRTComplexSourceH
typedef void * | VRTFilteredSourceH
typedef void * | VRTKernelFilteredSourceH
typedef void * | VRTAverageFilteredSourceH
typedef void * | VRTFuncSourceH
typedef void * | VRTDatasetH
typedef void * | VRTWarpedDatasetH
typedef void * | VRTRasterBandH
typedef void * | VRTSourcedRasterBandH
typedef void * | VRTWarpedRasterBandH
typedef void * | VRTDerivedRasterBandH
typedef void * | VRTRawRasterBandH
## Functions
void | GDALRegister_VRT (void)
VRTDatasetH | VRTCreate (int, int)
void | VRTFlushCache (VRTDatasetH)
CPLXMLNode * | VRTSerializeToXML (VRTDatasetH, const char *)
int | VRTAddBand (VRTDatasetH, GDALDataType, char **)
CPLErr | VRTAddSource (VRTSourcedRasterBandH, VRTSourceH)
CPLErr | VRTAddSimpleSource (VRTSourcedRasterBandH, GDALRasterBandH, int, int, int, int, int, int, int, int, const char *, double)
CPLErr | VRTAddComplexSource (VRTSourcedRasterBandH, GDALRasterBandH, int, int, int, int, int, int, int, int, double, double, double)
CPLErr | VRTAddFuncSource (VRTSourcedRasterBandH, VRTImageReadFunc, void *, double)

## Detailed Description

Public (C callable) entry points for virtual GDAL dataset objects.

## Function Documentation

int VRTAddBand | ( | VRTDatasetH | hDataset,
|  | GDALDataType | eType,
|  | char ** | papszOptions |
| ) |  |  |

See also:
  VRTDataset::VRTAddBand().

References VRTAddBand().

Referenced by VRTAddBand().

CPLErr VRTAddComplexSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | GDALRasterBandH | hSrcBand,
|  | int | nSrcXOff,
|  | int | nSrcYOff,
|  | int | nSrcXSize,
|  | int | nSrcYSize,
|  | int | nDstXOff,
|  | int | nDstYOff,
|  | int | nDstXSize,
|  | int | nDstYSize,
|  | double | dfScaleOff,
|  | double | dfScaleRatio,
|  | double | dfNoDataValue |
| ) |  |  |

See also:
  VRTSourcedRasterBand::AddComplexSource().

References VRTAddComplexSource().

Referenced by VRTAddComplexSource().

CPLErr VRTAddFuncSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | VRTImageReadFunc | pfnReadFunc,
|  | void * | pCBData,
|  | double | dfNoDataValue |
| ) |  |  |

See also:
  VRTSourcedRasterBand::AddFuncSource().

References VRTAddFuncSource().

Referenced by VRTAddFuncSource().

CPLErr VRTAddSimpleSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | GDALRasterBandH | hSrcBand,
|  | int | nSrcXOff,
|  | int | nSrcYOff,
|  | int | nSrcXSize,
|  | int | nSrcYSize,
|  | int | nDstXOff,
|  | int | nDstYOff,
|  | int | nDstXSize,
|  | int | nDstYSize,
|  | const char * | pszResampling,
|  | double | dfNoDataValue |
| ) |  |  |

See also:
  VRTSourcedRasterBand::AddSimpleSource().

References VRTAddSimpleSource().

Referenced by VRTAddSimpleSource().

CPLErr VRTAddSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | VRTSourceH | hNewSource |
| ) |  |  |

See also:
  VRTSourcedRasterBand::AddSource().

References VRTAddSource().

Referenced by VRTAddSource().

VRTDatasetH VRTCreate | ( | int | nXSize,
|  | int | nYSize |
| ) |  |  |

See also:
  VRTDataset::VRTDataset()

References VRTCreate().

Referenced by VRTCreate().

void VRTFlushCache | ( | VRTDatasetH | hDataset | ) |

See also:
  VRTDataset::FlushCache()

References VRTFlushCache().

Referenced by VRTFlushCache().

CPLXMLNode* VRTSerializeToXML | ( | VRTDatasetH | hDataset,
|  | const char * | pszVRTPath |
| ) |  |  |

See also:
  VRTDataset::SerializeToXML()

References VRTSerializeToXML().

Referenced by VRTSerializeToXML().

Generated for GDAL by 1.5.6.